Skip to main content
GET
/
v1
/
plans
List plans
curl --request GET \
  --url https://api.useplinth.com/v1/plans \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "object": "plan",
      "id": "pln_01JABC...",
      "plan_group_id": "pg_01JABC...",
      "name": "Pro",
      "amount_minor": "500000",
      "interval": "month",
      "interval_count": 1,
      "trial_period_days": 14,
      "lookup_key": "pro_monthly",
      "active": true,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Use sk_test_ keys for sandbox. Use sk_live_ keys for production. Obtain your key from the dashboard.

Query Parameters

include_archived
boolean
default:false

Include archived (inactive) plans in the result.

Response

200 - application/json

List of plans

object
enum<string>
Available options:
list
data
object[]